public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/mkvtoolnix/
Date: Thu,  7 Jul 2022 14:25:05 +0000 (UTC)	[thread overview]
Message-ID: <1657203901.ce892b6275735a10109b1724bf65aaa924e11f03.aballier@gentoo> (raw)

commit:     ce892b6275735a10109b1724bf65aaa924e11f03
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Jul  7 14:17:33 2022 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Jul  7 14:25:01 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce892b62

media-video/mkvtoolnix: bump to 68.0.0

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Alexis Ballier <aballier <AT> gentoo.org>

 media-video/mkvtoolnix/Manifest                 |   1 +
 media-video/mkvtoolnix/mkvtoolnix-68.0.0.ebuild | 132 ++++++++++++++++++++++++
 2 files changed, 133 insertions(+)

diff --git a/media-video/mkvtoolnix/Manifest b/media-video/mkvtoolnix/Manifest
index 696b51f30dc3..dc16db59057a 100644
--- a/media-video/mkvtoolnix/Manifest
+++ b/media-video/mkvtoolnix/Manifest
@@ -3,3 +3,4 @@ DIST mkvtoolnix-60.0.0.tar.xz 7657960 BLAKE2B 094c13ac7e73e79f3cc7eae0768625482c
 DIST mkvtoolnix-61.0.0.tar.xz 7662500 BLAKE2B de9d73658fe779b34b21fded8e6676b76fed5ce5ecd598aeff12e8c4f120353f63413f260bacc30c0a102a4eb6d4b907feaabdd84d80d20469a3ae8341bce5f1 SHA512 9f35b5af8784eb4b92b437f41b5df677aa7fc859827eaef4d0e2d8531ad9908331f70a852c7e6e965a5f8cec47b38c6c91b8fbdbcaee0edca54f8cbb000ba582
 DIST mkvtoolnix-64.0.0.tar.xz 7700012 BLAKE2B f0c64786fdc3d05915650a08ca398dc7f5356b9a9ce9cb108fb40a4394a7518dd45143717fde7af1dccd3e7e43d343f81d69633c78f1201670924257529baede SHA512 252fdf0a9497d34f2a407ca0d3e584d1cd5a2f566b793a3a6b9af8473855d89e55ce79a8b4aff71d5a25f7a15ca991f84a3c4441168553af9feffdfe75e19844
 DIST mkvtoolnix-67.0.0.tar.xz 7791720 BLAKE2B 815172f1e120d90ec33cbc6dac1bb3aad793edc0b629f0bab9400a0732d3b692f983d7eca82c61c453ccd245dea948d0950bcb357e3104d2012554871e09c80c SHA512 eed390cb305b5fcaddf11d68a9021f9ddc22a62d1eb95f4c0a34161a7662dd62495c87193a2d951f0fe30fb9a6b5b93f06ed7fedc24ed674da531f2c2317c997
+DIST mkvtoolnix-68.0.0.tar.xz 10911424 BLAKE2B e4704592212aa919a7cbd62b3906b5af6c4bb88293299e93a4ad65cc8857615b1654ed554c17daf60e1b001d8e5265afda808e81ee51f372be2f738d737fdd4d SHA512 fd078208f5ef0438f06b3bb19c3f3c477f87561997a847c56a731265ee9627b089cc568e1d31a9a2c7e46f63aeeabccf98a27694b6b4b1586ba93f7656d20838

diff --git a/media-video/mkvtoolnix/mkvtoolnix-68.0.0.ebuild b/media-video/mkvtoolnix/mkvtoolnix-68.0.0.ebuild
new file mode 100644
index 000000000000..cc6409014b5c
--- /dev/null
+++ b/media-video/mkvtoolnix/mkvtoolnix-68.0.0.ebuild
@@ -0,0 +1,132 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic multiprocessing qmake-utils xdg
+
+if [[ ${PV} == *9999 ]] ; then
+	EGIT_REPO_URI="https://gitlab.com/mbunkus/mkvtoolnix.git"
+	EGIT_SUBMODULES=()
+	inherit git-r3
+else
+	SRC_URI="https://mkvtoolnix.download/sources/${P}.tar.xz"
+	KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+fi
+
+DESCRIPTION="Tools to create, alter, and inspect Matroska files"
+HOMEPAGE="https://mkvtoolnix.download/ https://gitlab.com/mbunkus/mkvtoolnix"
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="dbus debug dvd gui nls pch test"
+RESTRICT="!test? ( test )"
+
+# check NEWS.md for build system changes entries for boost/libebml/libmatroska
+# version requirement updates and other packaging info
+RDEPEND="
+	>=dev-libs/boost-1.66:=
+	dev-libs/gmp:=
+	>=dev-libs/libebml-1.4.2:=
+	>=dev-libs/libfmt-8.0.1:=
+	<dev-libs/libfmt-9.0.0:=
+	>=dev-libs/pugixml-1.11:=
+	media-libs/flac:=
+	>=media-libs/libmatroska-1.6.3:=
+	media-libs/libogg:=
+	media-libs/libvorbis:=
+	sys-libs/zlib
+	dvd? ( media-libs/libdvdread:= )
+	dev-qt/qtcore:5
+	gui? (
+		dev-qt/qtgui:5
+		dev-qt/qtnetwork:5
+		dev-qt/qtwidgets:5
+		dev-qt/qtconcurrent:5
+		dev-qt/qtmultimedia:5
+	)
+	app-text/cmark:0=
+	dbus? ( dev-qt/qtdbus:5 )
+"
+DEPEND="${RDEPEND}
+	>=dev-cpp/nlohmann_json-3.9.1
+	>=dev-libs/utfcpp-3.1.2
+	test? ( dev-cpp/gtest )
+"
+BDEPEND="
+	app-text/docbook-xsl-stylesheets
+	dev-libs/libxslt
+	dev-ruby/rake
+	virtual/pkgconfig
+	nls? (
+		sys-devel/gettext
+		app-text/po4a
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}"/mkvtoolnix-58.0.0-qt5dbus.patch
+	"${FILESDIR}"/mkvtoolnix-67.0.0-no-uic-qtwidgets.patch
+)
+
+src_prepare() {
+	default
+
+	if [[ ${PV} == *9999 ]]; then
+		./autogen.sh || die
+	fi
+
+	# bug #692018
+	sed -i -e 's/pandoc/diSaBlEd/' ac/pandoc.m4 || die
+
+	eautoreconf
+
+	# remove bundled libs
+	rm -r lib/{fmt,libebml,libmatroska,nlohmann-json,pugixml,utf8-cpp} || die
+}
+
+src_configure() {
+	# bug #692322, use system dev-libs/utfcpp
+	append-cppflags -I"${ESYSROOT}"/usr/include/utf8cpp
+
+	local myeconfargs=(
+		$(use_enable debug)
+		$(usex pch "" --disable-precompiled-headers)
+		$(use_enable dbus)
+
+		# Qt (of some version) is always needed, even for non-GUI builds,
+		# to do e.g. MIME detection. See e.g. bug #844097.
+		# But most of the Qt deps are conditional on a GUI build.
+		--disable-qt6
+		--enable-qt5
+		$(use_enable gui)
+		--with-qmake="$(qt5_get_bindir)"/qmake
+
+		$(use_with dvd dvdread)
+		$(use_with nls gettext)
+		$(usex nls "" --with-po4a-translate=false)
+		--disable-update-check
+		--disable-optimization
+		--with-boost="${ESYSROOT}"/usr
+		--with-boost-libdir="${ESYSROOT}"/usr/$(get_libdir)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+	rake V=1 -j$(makeopts_jobs) || die
+}
+
+src_test() {
+	rake V=1 -j$(makeopts_jobs) tests:unit || die
+	rake V=1 -j$(makeopts_jobs) tests:run_unit || die
+}
+
+src_install() {
+	DESTDIR="${D}" rake -j$(makeopts_jobs) install || die
+
+	einstalldocs
+	dodoc NEWS.md
+	doman doc/man/*.1
+}


             reply	other threads:[~2022-07-07 14:25 UTC|newest]

Thread overview: 175+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-07 14:25 Alexis Ballier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-09  8:25 [gentoo-commits] repo/gentoo:master commit in: media-video/mkvtoolnix/ Sam James
2024-05-29 17:37 Sam James
2024-05-29 17:37 Sam James
2024-05-29 17:37 Sam James
2024-05-28  2:19 Sam James
2024-05-28  2:19 Sam James
2024-05-28  2:19 Sam James
2024-04-01  7:18 Sam James
2024-03-21  2:45 Sam James
2024-03-21  2:45 Sam James
2024-01-20 11:49 Sam James
2024-01-20 11:49 Sam James
2023-12-30  1:26 Ionen Wolkens
2023-09-07 23:27 Sam James
2023-06-05  9:51 Alexis Ballier
2023-05-27 16:07 Sam James
2023-05-27 12:45 Sam James
2023-05-19 17:45 Sam James
2023-05-19 17:45 Sam James
2023-05-06  9:48 James Le Cuirot
2023-04-18 22:18 James Le Cuirot
2022-12-21 22:47 Sam James
2022-12-21 22:47 Sam James
2022-12-18 21:13 Arthur Zamarin
2022-12-18 21:13 Arthur Zamarin
2022-11-14 16:33 Alexis Ballier
2022-11-12 16:06 Arthur Zamarin
2022-11-12 16:06 Arthur Zamarin
2022-10-27 12:30 Alexis Ballier
2022-09-03  5:27 Sam James
2022-09-03  5:27 Sam James
2022-07-10 19:25 Sam James
2022-07-08 21:51 Sam James
2022-07-08  7:44 Sam James
2022-07-06 19:33 Sam James
2022-05-31 11:05 Jakov Smolić
2022-05-31  8:52 Agostino Sarubbo
2022-05-31  7:07 Jakov Smolić
2022-05-30 23:30 Sam James
2022-05-18  2:10 Sam James
2022-05-18  2:09 Sam James
2022-01-02 10:54 Jakov Smolić
2022-01-02  5:49 Sam James
2022-01-02  0:04 Sam James
2022-01-01 17:39 Arthur Zamarin
2022-01-01 16:38 Arthur Zamarin
2021-09-19  7:12 Andreas K. Hüttel
2021-09-08  3:09 Sam James
2021-09-08  3:08 Sam James
2021-08-24 11:41 Agostino Sarubbo
2021-08-24 11:41 Agostino Sarubbo
2021-08-24 11:40 Agostino Sarubbo
2021-08-23 22:16 Agostino Sarubbo
2021-08-03 13:37 Alexis Ballier
2021-08-03 13:37 Alexis Ballier
2021-06-22 20:44 David Seifert
2021-05-30  5:15 Sam James
2021-05-29  8:43 Agostino Sarubbo
2021-05-28 19:54 Sam James
2021-05-28 19:40 Agostino Sarubbo
2021-05-28 12:02 Agostino Sarubbo
2021-04-17 20:08 Pacho Ramos
2021-04-10  9:18 Thomas Raschbacher
2020-10-22 12:22 Alexis Ballier
2020-10-07  6:42 Agostino Sarubbo
2020-10-01 23:06 Sergei Trofimovich
2020-10-01 22:55 Sergei Trofimovich
2020-09-30 17:08 Alexis Ballier
2020-09-07  8:47 Sergei Trofimovich
2020-09-07  8:20 Sergei Trofimovich
2020-08-22  5:50 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-06-30  2:49 Tim Harder
2020-06-30  2:49 Tim Harder
2020-06-15  9:47 Tim Harder
2020-05-15  5:07 Tim Harder
2020-04-05 10:05 Tim Harder
2020-01-31  8:50 Tim Harder
2020-01-18  3:39 Tim Harder
2019-12-15 20:53 David Seifert
2019-09-29 20:54 Sergei Trofimovich
2019-09-26  6:52 Sergei Trofimovich
2019-09-15 11:36 David Seifert
2019-09-15 11:36 David Seifert
2019-07-28 21:21 Andreas Sturmlechner
2019-07-23  8:23 Agostino Sarubbo
2019-07-21  8:25 Sergei Trofimovich
2019-07-18 14:32 Thomas Deutschmann
2019-07-18 13:19 Kent Fredric
2019-06-30 12:37 Pacho Ramos
2019-06-30 12:37 Pacho Ramos
2019-06-30 12:37 Pacho Ramos
2019-06-22 22:41 Tim Harder
2019-04-21  8:21 Tim Harder
2019-03-28  7:03 Tim Harder
2019-03-23 12:25 Pacho Ramos
2019-03-04 22:02 Tim Harder
2019-03-04 22:02 Tim Harder
2019-02-25 15:13 Mikle Kolyada
2019-02-24 19:01 Thomas Deutschmann
2019-02-23 11:58 Sergei Trofimovich
2019-02-17 17:40 Sergei Trofimovich
2019-02-17 17:40 Sergei Trofimovich
2019-01-23  7:18 Tim Harder
2018-12-29 21:04 Tim Harder
2018-12-12  8:25 Tim Harder
2018-05-09 12:47 Alexis Ballier
2018-04-22 17:56 Alexis Ballier
2018-03-26  3:37 Tim Harder
2018-03-24 13:30 Tim Harder
2018-03-17 13:32 Alexis Ballier
2018-02-25 21:52 Sergei Trofimovich
2018-01-28 15:58 Mikle Kolyada
2018-01-28 15:36 Sergei Trofimovich
2018-01-26 23:24 Thomas Deutschmann
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:28 Alexis Ballier
2018-01-21 12:05 Alexis Ballier
2018-01-21 12:05 Alexis Ballier
2017-12-20  8:22 Tim Harder
2017-11-20  7:17 Tim Harder
2017-10-17  0:35 Tim Harder
2017-10-12 17:16 Tim Harder
2017-10-04 11:09 Alexis Ballier
2017-09-05 19:19 Pacho Ramos
2017-08-23 14:46 Tim Harder
2017-08-23 12:49 Tim Harder
2017-08-23  7:30 Alexis Ballier
2017-07-25 17:22 Steve Dibb
2017-07-25 15:23 Steve Dibb
2017-06-28  9:35 Alexis Ballier
2017-06-16  9:36 Alexis Ballier
2017-05-25 14:50 Alexis Ballier
2017-04-26  9:51 Tim Harder
2017-04-24 20:47 Tim Harder
2017-03-29  8:10 Alexis Ballier
2017-02-23  9:16 Alexis Ballier
2017-01-24 10:37 Alexis Ballier
2017-01-24 10:37 Alexis Ballier
2017-01-10  3:46 Aaron Bauman
2017-01-07 19:43 Tim Harder
2017-01-04 11:58 Alexis Ballier
2016-12-29 13:04 Alexis Ballier
2016-12-29 13:04 Alexis Ballier
2016-12-09  7:34 Tim Harder
2016-12-01 14:12 Alexis Ballier
2016-10-18 15:03 Alexis Ballier
2016-09-14 16:52 Alexis Ballier
2016-08-23 15:11 Alexis Ballier
2016-07-18 12:24 Alexis Ballier
2016-07-18 12:24 Alexis Ballier
2016-06-08 10:36 Alexis Ballier
2016-05-12 12:14 Alexis Ballier
2016-04-01  5:43 Alexis Ballier
2016-02-23 16:02 Alexis Ballier
2016-01-25  4:02 Tim Harder
2016-01-12  8:43 Alexis Ballier
2016-01-05  8:34 Alexis Ballier
2015-12-14 14:12 Agostino Sarubbo
2015-12-01 12:31 Alexis Ballier
2015-11-07 18:32 Alexis Ballier
2015-11-07 13:13 Pacho Ramos
2015-10-24  9:47 Alexis Ballier
2015-10-20  8:30 Alexis Ballier
2015-10-16  9:08 Alexis Ballier
2015-10-06  9:42 Alexis Ballier
2015-08-21 12:13 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1657203901.ce892b6275735a10109b1724bf65aaa924e11f03.aballier@gentoo \
    --to=aballier@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox